MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003782ATutorPatcherpublic2009-06-03 12:072009-07-21 08:50
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.2 
Target VersionFixed in Version1.6.3 
Summary0003782: Patcher warning on deprecated call-time pass-by-reference
Descriptionhttp://www.atutor.ca/view/3/17629/1.html [^]

Subject: Parcher Warning

I got the following warning as I used the Patcher to install (each of) the patches after installation of 1.62:

Warning: Call-time pass-by-reference has been deprecated; If you would like to pass it by reference, modify the declaration of array_pop(). If you would like to enable call-time pass-by-reference, you can set allow_call_time_pass_reference to true in your INI file in /home/content/Atutor/mods/_standard/patcher/classes/Patch.class.php on line 691
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003582)
cindy (administrator)
2009-06-03 12:09

SVN revision: 8522

Affected script:
mods/_standard/patcher/classes/Patch.class.php

Solution:
pass in array variable itself instead of reference of the array into function array_pop()

- Issue History
Date Modified Username Field Change
2009-06-03 12:07 cindy New Issue
2009-06-03 12:07 cindy Affects version => SVN
2009-06-03 12:09 cindy Status new => resolved
2009-06-03 12:09 cindy Fixed in Version => 1.6.2
2009-06-03 12:09 cindy Resolution open => fixed
2009-06-03 12:09 cindy Assigned To => cindy
2009-06-03 12:09 cindy Note Added: 0003582
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version 1.6.2 => 1.6.3
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker